Skip to main content
PATCH
/
v1
/
tasks
/
{taskId}
Update task
curl --request PATCH \
  --url https://openapi.enginy.ai/v1/tasks/{taskId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "type": "<string>",
  "subject": "<string>",
  "description": "<string>",
  "assignedId": 123,
  "notes": "<string>",
  "ownerId": "<string>",
  "dueDate": "<string>",
  "priority": "LOW"
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "success": true
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

taskId
string
required
Pattern: ^\d+$

Body

application/json
type
string
subject
string
description
string | null
assignedId
integer | null
notes
string | null
ownerId
string | null
dueDate
string
priority
enum<string> | null
Available options:
LOW,
MEDIUM,
HIGH,
null

Response

200 - application/json

Task updated successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required